ReflectionClass::getNamespaceName
ReflectionClass::getProperties
ReflectionClass
PHP Manual

# ReflectionClass::getParentClass

(PHP 5)

ReflectionClass::getParentClass — Gets parent class

### Description

public object ReflectionClass::getParentClass ( void )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

A ReflectionClass.

### See Also

- ReflectionClass::__construct() - Constructs a ReflectionClass

ReflectionClass::getNamespaceName
ReflectionClass::getProperties
ReflectionClass
PHP Manual